#define LOG_ERROR       0x00
#define LOG_INFOR	0x01
#define ERRSYSLOG       0x02
#define ERRFILE         0x01
#define ERRNONE	        0x00
#include <stdarg.h>

extern const unsigned int debug;
extern int      init_log(int use_syslog, const char *infowhere,
			 const char *errwhere);
extern void     log_info(const char *fmt, ...);
extern void     log_error(const char *fmt, ...);
extern void     close_log(void);
